Bug 1553035 (CVE-2018-1070)

Summary: CVE-2018-1070 Routing: Malicous Service configuration can bring down routing for an entire shard.
Product: [Other] Security Response Reporter: Jason Shepherd <jshepherd>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: abhgupta, ahardin, aos-bugs, bbennett, bleanhar, ccoleman, dbaker, dedgar, dmace, dmcphers, eparis, jgoulding, jkeck, jokerman, mchappel, security-response-team, sthangav, trankin
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20180427,reported=20171023,source=redhat,cvss3=6.5/CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H,cwe=CWE-20,openshift-enterprise-3/Routing=affected,openshift-online-3/Routing=affected
Fixed In Version: Routing 3.10 Doc Type: If docs needed, set a value
Doc Text:
Improper input validation of the Openshift Routing configuration can cause an entire shard to be brought down. A malicious user can use this vulnerability to cause a Denial of Service attack for other users of the router shard.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:17:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1553036, 1553551, 1553552, 1569651, 1577294    
Bug Blocks: 1505868, 1553145    

Description Jason Shepherd 2018-03-08 05:28:52 UTC
Improper input validation of the Openshift Routing configuration can cause an entire shard to be brought down. A malicious user can use this vulnerability to cause a Denial of Service attack for other users of the router shard.

Comment 1 Jason Shepherd 2018-03-08 05:28:59 UTC
Acknowledgments:

Name: Mark Chappell (Red Hat)

Comment 6 Jason Shepherd 2018-03-09 00:20:11 UTC
This issue affects Openshift Enterprise 3.7.1, and possibly other versions.

Comment 12 errata-xmlrpc 2018-06-27 18:01:15 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.9

Via RHSA-2018:2013 https://access.redhat.com/errata/RHSA-2018:2013